<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.countrygarden.bi.main.dao.performance.hipsndoctrainMapper">
    <insert id="insertOrUpdate" parameterType="java.util.List" >
            INSERT INTO hi_psndoc_train 
            (ABSENCE_COUNT,ACT_CODE, ACT_NAME, ACT_NAME2, ACT_NAME3, ACT_NAME4, ACT_NAME5, ACT_NAME6, ASS_OPTION, ASS_RESULT, ASSIST_UNIT, BEGINDATE, CERTIFICATE_DATE, CERTIFICATE_UNIT, CONTCODE, CREATIONTIME, CREATOR, ENDDATE, ENTREPRENEUR, ISALLDUTY, LASTFLAG, MEMO, MODIFIEDTIME, MODIFIER, PK_ACT, PK_GROUP, PK_ORG, PK_PSNDOC, PK_PSNDOC_SUB, PK_PSNJOB, PK_PSNORG, PURVEYOR, RECORDNUM, SIGNON_DT, SOURCE_TYPE, TAKETRM_METHOD, TRA_CONTENT, TRA_COST, TRA_MODE, TRA_RESULT, TRA_TIME, TRA_TYPE, TRAIM, TRM_CERTIF_CODE, TRM_CERTIF_NAME, TRM_LOCATION, TS, GLBDEF1, GLBDEF2, GLBDEF3, GLBDEF4, RN, DR)           
            VALUES  
            <foreach collection="hit" item="bdlist" separator=",">         
            (#{bdlist.ABSENCE_COUNT},#{bdlist.ACT_CODE},#{bdlist.ACT_NAME},#{bdlist.ACT_NAME2},#{bdlist.ACT_NAME3},#{bdlist.ACT_NAME4},#{bdlist.ACT_NAME5},#{bdlist.ACT_NAME6},#{bdlist.ASS_OPTION},#{bdlist.ASS_RESULT},#{bdlist.ASSIST_UNIT},#{bdlist.BEGINDATE},#{bdlist.CERTIFICATE_DATE},#{bdlist.CERTIFICATE_UNIT},#{bdlist.CONTCODE},#{bdlist.CREATIONTIME},#{bdlist.CREATOR},#{bdlist.ENDDATE},#{bdlist.ENTREPRENEUR},#{bdlist.ISALLDUTY},#{bdlist.LASTFLAG},#{bdlist.MEMO},#{bdlist.MODIFIEDTIME},#{bdlist.MODIFIER},#{bdlist.PK_ACT},#{bdlist.PK_GROUP},#{bdlist.PK_ORG},#{bdlist.PK_PSNDOC},#{bdlist.PK_PSNDOC_SUB},#{bdlist.PK_PSNJOB},#{bdlist.PK_PSNORG},#{bdlist.PURVEYOR},#{bdlist.RECORDNUM},#{bdlist.SIGNON_DT},#{bdlist.SOURCE_TYPE},#{bdlist.TAKETRM_METHOD},#{bdlist.TRA_CONTENT},#{bdlist.TRA_COST},#{bdlist.TRA_MODE},#{bdlist.TRA_RESULT},#{bdlist.TRA_TIME},#{bdlist.TRA_TYPE},#{bdlist.TRAIM},#{bdlist.TRM_CERTIF_CODE},#{bdlist.TRM_CERTIF_NAME},#{bdlist.TRM_LOCATION},#{bdlist.TS},#{bdlist.GLBDEF1},#{bdlist.GLBDEF2},#{bdlist.GLBDEF3},#{bdlist.GLBDEF4},#{bdlist.RN},#{bdlist.DR})            
            
            </foreach> 
    </insert>
</mapper>